Annotations (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.classfile

## Class Annotations

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.Annotations

- All Implemented Interfaces:
    Cloneable, Iterable<AnnotationEntry>, Node
  Direct Known Subclasses:
    RuntimeInvisibleAnnotations, RuntimeVisibleAnnotations

      public abstract class Annotations
      extends Attribute
      implements Iterable<AnnotationEntry>

  base class for annotations
  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, EMPTY_ARRAY, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotations(byte annotationType, int nameIndex, int length, AnnotationEntry[] annotationTable, ConstantPool constantPool, boolean isRuntimeVisible)` Constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool constantPool)`
    `AnnotationEntry[]` | `getAnnotationEntries()` Gets the array of annotation entries in this annotation
    `int` | `getNumAnnotations()` Gets the number of annotation entries in this annotation.
    `boolean` | `isRuntimeVisible()`
    `Iterator<AnnotationEntry>` | `iterator()`
    `void` | `setAnnotationTable(AnnotationEntry[] annotationTable)` Sets the entries to set in this annotation.
    `String` | `toString()` Converts to a String representation.
    `protected void` | `writeAnnotations(DataOutputStream dos)`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, dump, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Annotations

          public Annotations(byte annotationType,
                             int nameIndex,
                             int length,
                             AnnotationEntry[] annotationTable,
                             ConstantPool constantPool,
                             boolean isRuntimeVisible)

      Constructs an instance.
      Parameters:
        `annotationType` - the subclass type of the annotation
        `nameIndex` - Index pointing to the name Code
        `length` - Content length in bytes
        `annotationTable` - the actual annotations
        `constantPool` - Array of constants
        `isRuntimeVisible` - whether this Annotation visible at runtime

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### copy

          public Attribute copy(ConstantPool constantPool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### getAnnotationEntries

          public AnnotationEntry[] getAnnotationEntries()

      Gets the array of annotation entries in this annotation

    - #### getNumAnnotations

          public final int getNumAnnotations()

      Gets the number of annotation entries in this annotation.
      Returns:
        the number of annotation entries in this annotation

    - #### isRuntimeVisible

          public boolean isRuntimeVisible()

    - #### iterator

          public Iterator<AnnotationEntry> iterator()

      Specified by:
        `iterator` in interface `Iterable<AnnotationEntry>`

    - #### setAnnotationTable

          public final void setAnnotationTable(AnnotationEntry[] annotationTable)

      Sets the entries to set in this annotation.
      Parameters:
        `annotationTable` - the entries to set in this annotation

    - #### toString

          public final String toString()

      Converts to a String representation.
      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation

    - #### writeAnnotations

          protected void writeAnnotations(DataOutputStream dos)
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.